From: Gary Bisson <gary.bisson@boundarydevices.com>
To: buildroot@busybox.net
Subject: [Buildroot] [PATCH 1/5] board/freescale/common/imx: make imx8-bootloader-prepare more generic
Date: Thu, 19 Jul 2018 09:32:49 +0200 [thread overview]
Message-ID: <20180719073253.22433-2-gary.bisson@boundarydevices.com> (raw)
In-Reply-To: <20180719073253.22433-1-gary.bisson@boundarydevices.com>
Allow user to override the hardcoded dtb name by using
BR2_ROOTFS_POST_SCRIPT_ARGS.
Signed-off-by: Gary Bisson <gary.bisson@boundarydevices.com>
---
.../freescale/common/imx/imx8-bootloader-prepare.sh | 12 ++++++++++--
1 file changed, 10 insertions(+), 2 deletions(-)
diff --git a/board/freescale/common/imx/imx8-bootloader-prepare.sh b/board/freescale/common/imx/imx8-bootloader-prepare.sh
index 2648147ab0..ce2c3405a0 100755
--- a/board/freescale/common/imx/imx8-bootloader-prepare.sh
+++ b/board/freescale/common/imx/imx8-bootloader-prepare.sh
@@ -2,9 +2,17 @@
main ()
{
- # Currently we support imx8mqevk.
+ if [ $# -le 1 ]; then
+ UBOOT_DTB=${BINARIES_DIR}/fsl-imx8mq-evk.dtb
+ else
+ UBOOT_DTB=$2
+ fi
+ if [ ! -e $UBOOT_DTB ]; then
+ echo "ERROR: couldn't find $UBOOT_DTB"
+ exit 1
+ fi
cat ${BINARIES_DIR}/u-boot-spl.bin ${BINARIES_DIR}/lpddr4_pmu_train_fw.bin > ${BINARIES_DIR}/u-boot-spl-ddr.bin
- BL31=${BINARIES_DIR}/bl31.bin BL33=${BINARIES_DIR}/u-boot.bin ${HOST_DIR}/bin/mkimage_fit_atf.sh ${BINARIES_DIR}/fsl-imx8mq-evk.dtb > ${BINARIES_DIR}/u-boot.its
+ BL31=${BINARIES_DIR}/bl31.bin BL33=${BINARIES_DIR}/u-boot.bin ${HOST_DIR}/bin/mkimage_fit_atf.sh ${UBOOT_DTB} > ${BINARIES_DIR}/u-boot.its
${HOST_DIR}/bin/mkimage -E -p 0x3000 -f ${BINARIES_DIR}/u-boot.its ${BINARIES_DIR}/u-boot.itb
rm -f ${BINARIES_DIR}/u-boot.its
--
2.18.0
next prev parent reply other threads:[~2018-07-19 7:32 UTC|newest]
Thread overview: 20+ messages / expand[flat|nested] mbox.gz Atom feed top
2018-07-19 7:32 [Buildroot] [PATCH 0/5] Add Boundary Devices Nitrogen8M support Gary Bisson
2018-07-19 7:32 ` Gary Bisson [this message]
2018-07-19 7:45 ` [Buildroot] [PATCH 1/5] board/freescale/common/imx: make imx8-bootloader-prepare more generic Thomas Petazzoni
2018-07-19 8:00 ` Gary Bisson
2018-07-19 8:07 ` Thomas Petazzoni
2018-07-19 7:32 ` [Buildroot] [PATCH 2/5] board/boundarydevices: update post-build.sh for i.MX8MQ platforms Gary Bisson
2018-07-19 7:58 ` Thomas Petazzoni
2018-07-19 8:03 ` Gary Bisson
2018-07-19 8:08 ` Thomas Petazzoni
2018-07-19 8:15 ` Gary Bisson
2018-07-19 7:32 ` [Buildroot] [PATCH 3/5] board/boundarydevices: remove obsolete u-boot scripts Gary Bisson
2018-07-19 7:59 ` Thomas Petazzoni
2018-07-19 7:32 ` [Buildroot] [PATCH 4/5] board/boundarydevices: add i.MX8MQ support to " Gary Bisson
2018-07-19 7:32 ` [Buildroot] [PATCH 5/5] configs/nitrogen8m: Add new defconfig Gary Bisson
2018-07-19 8:10 ` Thomas Petazzoni
2018-07-19 8:23 ` Gary Bisson
2018-07-19 8:32 ` Thomas Petazzoni
2018-07-26 8:20 ` Arnout Vandecappelle
2018-07-26 8:51 ` Gary Bisson
2018-07-26 8:54 ` Arnout Vandecappelle
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20180719073253.22433-2-gary.bisson@boundarydevices.com \
--to=gary.bisson@boundarydevices.com \
--cc=buildroot@busybox.net \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox